Subject: RE: [MIPSHOP-MIH-DT] Work items breakdown

From: <[email-masked]>
Date: Thu, 21 Jun 2007 13:42:12 -0500

I agree with Subir here. We need to discuss discovery a little more, breaking it down so we can understand what functions are done where. Perhaps someone can breakdown discovery a bit, like I did for security. I can try to do this tomorrow, if noone else does.

john

This Message Sent by Nokia Intellisync Mobile Suite.
-----Original Message-----
From: ext Subir Das
Sent: 21/06/2007 6:36:39 PM
To: ext Subir Das;sam xia
Cc: Loughney John (Nokia-NRC/PaloAlto);[email-masked]
Subject: Re: [MIPSHOP-MIH-DT] Work items breakdown

I am little bit confused here.  Without a transport protocol, MoS or 
MIHF  protocol can not
function. Now what are we discovering? Even if we discover transport 
address that is
meant for MoS or MIHF protocol. So essentially, we are discovering MIHF 
transport
address.  So I do not understand the separation. Also what do you mean 
by service discovery?
What is the difference between service and capability discovery?

-Subir

sam xia wrote:
> One thing is to decouple the transportation protocol from the MIHF protocol.
> Otherwise, the transportation protocol needs  to read the content of payload
> to be transported.
> the other is that capability discovery require a sesscion between MIHF peers
> while service discovery does not, unless that we save the capability of MIHF
> into another database other than MIHF peer itself.
>
>
> BestRegards;
> Sam(Zhongqi)Xia;
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Thursday, June 21, 2007 11:30 PM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: RE: [MIPSHOP-MIH-DT] Work items breakdown
>
> Sam,
>
>   
>> yes. we need to discover MIHF ID and transport address.  
>> And i think the capability discovering should be performed by MIHF 
>> protocol itself, not by the transportation protocol.
>>     
>
> Just out of curiousity, can you explain why you think it should be done by
> the protocol?
>
> John
>   
_______________________________________________
MIPSHOP-MIH-DT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop-mih-dt

---

From: "sam xia" <[email-masked]>
Date: Fri, 22 Jun 2007 04:52:46 +0800

hi Subir and John,
 
My understanding is that service discovering is equal to MIHF function
discovery specified in .21. And capability discovery is specified in .21.
The difference between them is apparent. Service discovery means to discover
the MIHF entities in the network.
 
>From the perspective of MIHF protocol, what to be discovered is MIHF ID; but
the MIHF ID is unuseful for transport protocol. So, from the perspective of
transport protocol, what to be discovered is transport address.
 
In order to scale our designing, i don't think that it is good to support
capability discovery in the transportation stratum. My understanding is that
capability discovering is just a talking between two MIHF entitis. And
apparently, service discovery is not. On the other hand, if we save the
capability of MIHF to othter database than MIHF entity itself, we can do
capability discovery just as service discovering. But what about its
scalability?

BestRegards;
Sam(Zhongqi)Xia; 

  _____  

From: [email-masked] [mailto:[email-masked]] 
Sent: Friday, June 22, 2007 2:42 AM
To: [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: RE: [MIPSHOP-MIH-DT] Work items breakdown

I agree with Subir here. We need to discuss discovery a little more,
breaking it down so we can understand what functions are done where. Perhaps
someone can breakdown discovery a bit, like I did for security. I can try to
do this tomorrow, if noone else does.

john

-----Original Message-----
From: ext Subir Das
Sent: 21/06/2007 6:36:39 PM
To: ext Subir Das;sam xia
Cc: Loughney John (Nokia-NRC/PaloAlto);[email-masked]
Subject: Re: [MIPSHOP-MIH-DT] Work items breakdown

-Subir

---

From: Subir Das <[email-masked]>
Date: Thu, 21 Jun 2007 17:14:48 -0400

That means you are saying MIH node discovery is service discovery and 
MIH services
discovery is capability discovery. Am I correct?

-Subir

sam xia wrote:
> discovery specified in .21. And capability discovery is specified in 
> .21. The difference between them is apparent. Service discovery means 
> to discover the MIHF entities in the network.
> From the perspective of MIHF protocol, what to be discovered is MIHF 
> ID; but the MIHF ID is unuseful for transport protocol. So, from the 
> perspective of transport protocol, what to be discovered is transport 
> address.
> In order to scale our designing, i don't think that it is good to 
> support capability discovery in the transportation stratum. My 
> understanding is that capability discovering is just a talking between 
> two MIHF entitis. And apparently, service discovery is not. On the 
> other hand, if we save the capability of MIHF to othter database than 
> MIHF entity itself, we can do capability discovery just as service 
> discovering. But what about its scalability?
>
> BestRegards;
> Sam(Zhongqi)Xia;
>
>
> ------------------------------------------------------------------------
> *From:* [email-masked] [mailto:[email-masked]]
> *Sent:* Friday, June 22, 2007 2:42 AM
> *To:* [email-masked]; [email-masked]
> *Cc:* [email-masked]; [email-masked]
> *Subject:* RE: [MIPSHOP-MIH-DT] Work items breakdown
>
> breaking it down so we can understand what functions are done where. 
> Perhaps someone can breakdown discovery a bit, like I did for 
> security. I can try to do this tomorrow, if noone else does.
>
> john
>

---

From: "sam xia" <[email-masked]>
Date: Fri, 22 Jun 2007 05:29:03 +0800

Sorry, I don't understand your question. Maybe we should form the consistent
terminology. Let us the terminology defined in .21.
Once again, my understanding is that what we are discovering in the
transportation stratum is equal to MIHF function discovery specified in .21.

BTW, in my last mail, service discovery is equal to MIH node discovery just
as your said(also equal to MIHF function discovery).
I don't know what the sentence means(MIH services discovery is capability
discovery).

BestRegards;
Sam(Zhongqi)Xia;
-----Original Message-----
From: Subir Das [mailto:[email-masked]] 
Sent: Friday, June 22, 2007 5:15 AM
To: sam xia
Cc: [email-masked]; [email-masked]
Subject: Re: [MIPSHOP-MIH-DT] Work items breakdown

That means you are saying MIH node discovery is service discovery and MIH
services discovery is capability discovery. Am I correct?

-Subir

sam xia wrote:
> MIHF protocol can not function. Now what are we discovering? Even if 
> we discover transport address that is meant for MoS or MIHF protocol. 
> So essentially, we are discovering MIHF transport address. So I do not 
> understand the separation. Also what do you mean by service discovery?

---

From: Subir Das <[email-masked]>
Date: Thu, 21 Jun 2007 18:15:03 -0400

Let me try from .21 perspective and hopefully we can then easily  map to 
general MOS.

Discovery has two components: peer MIHF node discovery and its 
capability discovery.

Let's understand the  MIHF node discovery first using the following 
example:

    Node A                                        Node B
    
   -------------                                ----------------
    MIH User                                     MIH User
   -------------                               -----------------
       MIHF                                           MIHF
   --------------                             ------------------
     Transport                                     Transport
  ---------------                            -------------------
   lower layers                                  lower layers
-----------------                           -------------------

Sorry for using .21 terminology; MIH user can be viewed as Mobility 
management protocol; it is the MIH user who wants to know the serving 
MIHF and its capability. In other words, MIHF node A wants to discover 
its peer MIHF node B. What does that mean? It means some users at node 
A  needs to know node B's  MIHF ID. Now in order for Node A's MIHF to 
send a packet to remote node B, it needs to know the transport address 
of  Node B's MIHF. Now we can have few cases:

Case I:    User of  node A somehow knows node B's MIHF ID  but node A's 
MIHF does not know node B's  transport address
Case II:   User of node A does not know node B's MIHF ID but node A's 
MIHF somehow knows node B's  transport address
Case III:  User of node A does not know node B's MIHF ID and node A's 
MIHF also does not know node B's transport address

Now  we need to understand: are we supporting all the above cases or one 
of them or what?  Now on top of that
the location of  the remote MIHF node is an important component. I do 
not know how  we can separate the MIHF
protocol and its transport here. I will envision that other MOS 
protocols will also use the transport similar way as
described above.

Now the second part is capability discovery. When node B's MIHF ID and 
transport address are known, Node
A can discover Node B's capability easily.  However,  there is a corner 
case: can the Node B's MIH function
discovery and capability discovery be done together?   In  .21 latest 
draft there is new concept of broadcast MIHF ID
to support this corner case in L2.

-Subir

---

From: Subir Das <[email-masked]>
Date: Thu, 21 Jun 2007 18:19:44 -0400

I sent a detailed mail and hopefully that will clarify things. I have 
quoted from your earlier
mail on service discovery. As long as MIH peer node discovery is service 
discovery, I
am fine. Yes, let's use the .21 terminology for the time being. In .21, 
it is called MIH
Function discovery.

-Subir

sam xia wrote:
>>> One thing is to decouple the transportation protocol from the MIHF
>>>       
>> protocol.
>>     
>>> Otherwise, the transportation protocol needs to read the content of
>>>       
>> payload
>>     
>>> to be transported.
>>> the other is that capability discovery require a sesscion between
>>>       
>> MIHF peers
>>     
>>> while service discovery does not, unless that we save the capability
>>>       
>> of MIHF
>>     
>>> Just out of curiousity, can you explain why you think it should be
>>>       
>> done by
>>     
>>> the protocol?
>>>
>>> John
>>>
>>>

---

From: "sam xia" <[email-masked]>
Date: Fri, 22 Jun 2007 16:49:09 +0800

hi all,

BestRegards;
Sam(Zhongqi)Xia;
-----Original Message-----
From: Subir Das [mailto:[email-masked]] 
Sent: Friday, June 22, 2007 6:15 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [MIPSHOP-MIH-DT] Work items breakdown

Discovery has two components: peer MIHF node discovery and its capability
discovery.

    Node A                                        Node B

Sorry for using .21 terminology; MIH user can be viewed as Mobility
management protocol; it is the MIH user who wants to know the serving MIHF
and its capability. In other words, MIHF node A wants to discover its peer
MIHF node B. What does that mean? It means some users at node A  needs to
know node B's  MIHF ID. Now in order for Node A's MIHF to send a packet to
remote node B, it needs to know the transport address of  Node B's MIHF. Now
we can have few cases:

Case I:    User of  node A somehow knows node B's MIHF ID  but node A's 
MIHF does not know node B's  transport address
Case II:   User of node A does not know node B's MIHF ID but node A's 
MIHF somehow knows node B's  transport address 
Case III:  User of node A does not know node B's MIHF ID and node A's MIHF
also does not know node B's transport address

Now  we need to understand: are we supporting all the above cases or one of
them or what?  

Sam> I think we should support all.  I have a question: what is the MIHF ID?
The MIHF ID is meaningful?  The MIHF ID is useful to locate the
corresponding tranportation address?
            It's not ture that all of the nodes have FQDN or NAI in the real
network.  I don't see the precise definition for MIHF ID except that MIHF ID
is used to identify a node.

Now on top of that the location of  the remote MIHF node is an important
component. I do not know how  we can separate the MIHF protocol and its
transport here. 

Sam> I don't know why.

I will envision that other MOS protocols will also use the transport similar
way as described above.

Now the second part is capability discovery. When node B's MIHF ID and
transport address are known, Node A can discover Node B's capability easily.
However,  there is a corner
case: can the Node B's MIH function
discovery and capability discovery be done together?   In  .21 latest 
draft there is new concept of broadcast MIHF ID to support this corner case
in L2.

Sam> I don't object to do so because discovery is a different thing than
transportation itself. I just think it is not good. The real question is how
to implement it!    

-Subir

[email-masked] wrote:
> So essentially, we are discovering MIHF transport address.  So I do 
> not understand the separation. Also what do you mean by service 
> discovery?

---

From: "sam xia" <[email-masked]>
Date: Fri, 22 Jun 2007 16:51:32 +0800

I sent a detailed mail and hopefully that will clarify things. I have quoted
from your earlier mail on service discovery. As long as MIH peer node
discovery is service discovery, I am fine. 
Sam > yes. Your understanding is just what i said.

Yes, let's use the .21 terminology for the time being. In .21, it is called
MIH Function discovery.

ok.

-Subir

sam xia wrote:
> Sorry, I don't understand your question. Maybe we should form the 
> consistent terminology. Let us the terminology defined in .21.
> BTW, in my last mail, service discovery is equal to MIH node discovery 
> just as your said(also equal to MIHF function discovery).
> I don't know what the sentence means(MIH services discovery is 
> capability discovery).
>
>
> BestRegards;
> Sam(Zhongqi)Xia;
> MIH services discovery is capability discovery. Am I correct?
>
> -Subir
>
> sam xia wrote:
>   
>> hi Subir and John,
>> My understanding is that service discovering is equal to MIHF 
>> function discovery specified in .21. And capability discovery is 
>> specified in .21. The difference between them is apparent. Service 
>> discovery means to discover the MIHF entities in the network.
>> understanding is that capability discovering is just a talking 
>> between two MIHF entitis. And apparently, service discovery is not. 
>> On the other hand, if we save the capability of MIHF to othter 
>> database than MIHF entity itself, we can do capability discovery just 
>> as service discovering. But what about its scalability?
>>
>> BestRegards;
>> Sam(Zhongqi)Xia;
>>
>>
>> ---------------------------------------------------------------------
>> -
>> --
discovery?

---

From: Subir Das <[email-masked]>
Date: Fri, 22 Jun 2007 13:24:20 -0400

> Let's understand the  MIHF node discovery first using the following
  Subir> It is not necessary that it has to be FQDN or NAI. These are 
just examples.